import LegalDocumentController from './LegalDocumentController'
import EmailConfirmationController from './EmailConfirmationController'
import KycVerificationController from './KycVerificationController'
import DashboardController from './DashboardController'
import ReferralController from './ReferralController'
import MyInvestmentsController from './MyInvestmentsController'
import InvestmentTransactionsController from './InvestmentTransactionsController'
import InvestmentController from './InvestmentController'
import InvestorBalancesController from './InvestorBalancesController'
import BalancesWithdrawalRequestController from './BalancesWithdrawalRequestController'
import InvestorMovementsController from './InvestorMovementsController'
import UserWalletController from './UserWalletController'
import Admin from './Admin'
import Settings from './Settings'

const Controllers = {
    LegalDocumentController: Object.assign(LegalDocumentController, LegalDocumentController),
    EmailConfirmationController: Object.assign(EmailConfirmationController, EmailConfirmationController),
    KycVerificationController: Object.assign(KycVerificationController, KycVerificationController),
    DashboardController: Object.assign(DashboardController, DashboardController),
    ReferralController: Object.assign(ReferralController, ReferralController),
    MyInvestmentsController: Object.assign(MyInvestmentsController, MyInvestmentsController),
    InvestmentTransactionsController: Object.assign(InvestmentTransactionsController, InvestmentTransactionsController),
    InvestmentController: Object.assign(InvestmentController, InvestmentController),
    InvestorBalancesController: Object.assign(InvestorBalancesController, InvestorBalancesController),
    BalancesWithdrawalRequestController: Object.assign(BalancesWithdrawalRequestController, BalancesWithdrawalRequestController),
    InvestorMovementsController: Object.assign(InvestorMovementsController, InvestorMovementsController),
    UserWalletController: Object.assign(UserWalletController, UserWalletController),
    Admin: Object.assign(Admin, Admin),
    Settings: Object.assign(Settings, Settings),
}

export default Controllers